﻿@using System.Security.Claims
@{
    string name = "";
    string email = "";
    if (!true.Equals(ViewData["signed-out"]))
    {
        name = Context.User?.Claims.FirstOrDefault(c => c.Type == "name")?.Value;
        email = Context.User?.Claims.FirstOrDefault(c => c.Type == ClaimTypes.Email)?.Value;
    }
}
<div class="user-info">
    <div class="info-container">
        <div class="name" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">@name</div>
        <div class="email">@email</div>
        @*<div class="btn-group user-helper-dropdown">
            <i class="material-icons" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">keyboard_arrow_down</i>
            <ul class="dropdown-menu pull-right">
                <li><a href="javascript:document.getElementById('logoutForm').submit()"><i class="material-icons">input</i>Salir</a></li>
            </ul>
        </div>*@
    </div>
</div>


<form id="logoutForm" method="post" asp-action="LogOut" asp-controller="Account">

</form>